# julearn

![PyPI](https://img.shields.io/pypi/v/julearn?style=flat-square)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/julearn?style=flat-square)
![PyPI - Wheel](https://img.shields.io/pypi/wheel/julearn?style=flat-square)
![GitHub](https://img.shields.io/github/license/juaml/julearn?style=flat-square)
![Codecov](https://img.shields.io/codecov/c/github/juaml/julearn?style=flat-square)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/charliermarsh/ruff/main/assets/badge/v2.json)](https://github.com/charliermarsh/ruff)
[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit)](https://github.com/pre-commit/pre-commit)

## About

The Forschungszentrum Jülich Machine Learning Library

Check our full documentation here: https://juaml.github.io/julearn/index.html

It is currently being developed and maintained at the [Applied Machine Learning](https://www.fz-juelich.de/en/inm/inm-7/research-groups/applied-machine-learning-aml) group at [Forschungszentrum Juelich](https://www.fz-juelich.de/en), Germany.

## Installation

Use `pip` to install from PyPI like so:

```
pip install julearn
```

## Licensing

julearn is released under the AGPL v3 license:

julearn, FZJuelich AML machine learning library.
Copyright (C) 2020, authors of julearn.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

## Citing

If you use julearn in a scientific publication, please use the following reference

> Hamdan, Sami, Shammi More, Leonard Sasse, Vera Komeyer, Kaustubh R. Patil, and Federico Raimondo. ‘Julearn: An Easy-to-Use Library for Leakage-Free Evaluation and Inspection of ML Models’. arXiv, 19 October 2023. https://doi.org/10.48550/arXiv.2310.12568.

Since julearn is also heavily reliant on scikit-learn, please also cite them: https://scikit-learn.org/stable/about.html#citing-scikit-learn
